Package io.yellowbrick.jdbc.web

## Class DeviceCodeServer

- java.lang.Object
- - io.yellowbrick.jdbc.web.DeviceCodeServer

    public class DeviceCodeServer
    extends Object

### Constructor Summary

Constructors
`DeviceCodeServer​(int port, String userCode, String verificationUri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeviceCodeServer

    public DeviceCodeServer​(int port,
                            String userCode,
                            String verificationUri)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### stop

    public void stop()